Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 884400 - Show error message "NoMethodError" when executing "oo-app-idle"
Summary: Show error message "NoMethodError" when executing "oo-app-idle"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Dan Mace
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 06:45 UTC by xjia
Modified: 2015-07-20 00:52 UTC (History)
3 users (show)

Fixed In Version: devenv_2565+
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-19 19:27:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description xjia 2012-12-06 06:45:15 UTC
Description of problem:
If the last access file exists, execute "oo-app-idle --uuid", it will show that"
/usr/sbin/oo-app-idle:39:in `block in <main>': undefined method `day_fraction_to_time' for Date:Class (NoMethodError)
        from /usr/sbin/oo-app-idle:35:in `open'
        from /usr/sbin/oo-app-idle:35:in `<main>'
"

Version-Release number of selected component (if applicable):
dev env 2561

How reproducible:
Always

Steps to Reproduce:
1.Create php app. See its uuid is :eab4a37da9d44a2bbfb99291efc2ce70
2.oo-app-idle eab4a37da9d44a2bbfb99291efc2ce70 0
3.access the app, then execute "oo-last-access". Makesure the file exists:
/var/lib/openshift/.last_access/eab4a37da9d44a2bbfb99291efc2ce70
4.oo-app-idle eab4a37da9d44a2bbfb99291efc2ce70 0

Actual results:
[root@ip-10-196-118-123 ~]# oo-app-idle eab4a37da9d44a2bbfb99291efc2ce70 0
/usr/sbin/oo-app-idle:39:in `block in <main>': undefined method `day_fraction_to_time' for Date:Class (NoMethodError)
        from /usr/sbin/oo-app-idle:35:in `open'
        from /usr/sbin/oo-app-idle:35:in `<main>'


Expected results:
No such error

Additional info:
The version of ruby is ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]

Comment 1 Dan Mace 2012-12-06 16:13:02 UTC
Resolved by:
https://github.com/openshift/origin-server/pull/1030

Comment 2 Dan Mace 2012-12-06 18:19:54 UTC
Fixed in devenv_2565+

Comment 3 xjia 2012-12-10 03:16:30 UTC
Verify:

[root@domU-12-31-39-17-1E-E9 ~]# cd /var/lib/openshift/
[root@domU-12-31-39-17-1E-E9 openshift]# ls
23f4522c7c0a4555a74f384b1f3740ac  last_access.log  php-jia1210
[root@domU-12-31-39-17-1E-E9 openshift]# 
[root@domU-12-31-39-17-1E-E9 openshift]# 
[root@domU-12-31-39-17-1E-E9 openshift]# 
[root@domU-12-31-39-17-1E-E9 openshift]# 
[root@domU-12-31-39-17-1E-E9 openshift]# oo-app-idle   23f4522c7c0a4555a74f384b1f3740ac 0
[root@domU-12-31-39-17-1E-E9 openshift]# oo-last-access
[root@domU-12-31-39-17-1E-E9 openshift]# ll /var/lib/openshift/.last_access/23f4522c7c0a4555a74f384b1f3740ac 
-rw-r--r--. 1 root root 26 Dec  9 22:15 /var/lib/openshift/.last_access/23f4522c7c0a4555a74f384b1f3740ac
[root@domU-12-31-39-17-1E-E9 openshift]# oo-app-idle 23f4522c7c0a4555a74f384b1f3740ac 0
[root@domU-12-31-39-17-1E-E9 openshift]# 


Version:
dev env 2577


Note You need to log in before you can comment on or make changes to this bug.